org.eclipse.emf.compare

## Interface MatchResource

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  MatchResourceImpl

    public interface MatchResource
    extends EObject

A representation of the model object 'Match Resource'. A MatchResource element represents the mapping between two or three resources : left, right, and their optional common ancestor. The resource will be identified through its URI.

The following features are supported:

- `Left URI`
- `Right URI`
- `Origin URI`
- `Left`
- `Right`
- `Origin`
- `Comparison`
- `Location Changes`

See Also:
  `ComparePackage.getMatchResource()`
Generated:

### Field Summary

Fields
`static String` `copyright`

### Method Summary

All Methods Instance Methods Abstract Methods
`Comparison` `getComparison()` Returns the value of the 'Comparison' container reference.
`Resource` `getLeft()` Returns the value of the 'Left' attribute
`String` `getLeftURI()` Returns the value of the 'Left URI' attribute
`EList<ResourceLocationChange>` `getLocationChanges()` Returns the value of the 'Location Changes' containment reference list.
`Resource` `getOrigin()` Returns the value of the 'Origin' attribute
`String` `getOriginURI()` Returns the value of the 'Origin URI' attribute
`Resource` `getRight()` Returns the value of the 'Right' attribute
`String` `getRightURI()` Returns the value of the 'Right URI' attribute
`void` `setComparison(Comparison value)` Sets the value of the '`Comparison`' container reference
`void` `setLeft(Resource value)` Sets the value of the '`Left`' attribute
`void` `setLeftURI(String value)` Sets the value of the '`Left URI`' attribute
`void` `setOrigin(Resource value)` Sets the value of the '`Origin`' attribute
`void` `setOriginURI(String value)` Sets the value of the '`Origin URI`' attribute
`void` `setRight(Resource value)` Sets the value of the '`Right`' attribute
`void` `setRightURI(String value)` Sets the value of the '`Right URI`' attribute

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### copyright

    static final String copyright

See Also:
  Constant Field Values
Generated:

### Method Detail

#### getLeftURI

    String getLeftURI()

Returns the value of the 'Left URI' attribute. Cannot be null. Represents the URI of the left resource of this mapping.

Returns:
  the value of the 'Left URI' attribute.
See Also:
  `setLeftURI(String)`, `ComparePackage.getMatchResource_LeftURI()`
Generated:

#### setLeftURI

    void setLeftURI(String value)

Sets the value of the '`Left URI`' attribute.

Parameters:
  `value` - the new value of the 'Left URI' attribute.
See Also:
  `getLeftURI()`
Generated:

#### getRightURI

    String getRightURI()

Returns the value of the 'Right URI' attribute. Cannot be null. Represents the URI of the right resource of this mapping.

Returns:
  the value of the 'Right URI' attribute.
See Also:
  `setRightURI(String)`, `ComparePackage.getMatchResource_RightURI()`
Generated:

#### setRightURI

    void setRightURI(String value)

Sets the value of the '`Right URI`' attribute.

Parameters:
  `value` - the new value of the 'Right URI' attribute.
See Also:
  `getRightURI()`
Generated:

#### getOriginURI

    String getOriginURI()

Returns the value of the 'Origin URI' attribute. This can be null in the case of two-way comparisons. If assigned, it will represent the URI of the origin resource for this mapping; the common ancestor of both others.

Returns:
  the value of the 'Origin URI' attribute.
See Also:
  `setOriginURI(String)`, `ComparePackage.getMatchResource_OriginURI()`
Generated:

#### setOriginURI

    void setOriginURI(String value)

Sets the value of the '`Origin URI`' attribute.

Parameters:
  `value` - the new value of the 'Origin URI' attribute.
See Also:
  `getOriginURI()`
Generated:

#### getLeft

    Resource getLeft()

Returns the value of the 'Left' attribute. Keeps a reference towards the left Resource of this Match. Might be null if this is a Comparison we have re-loaded from its serialized form and the left EResource could not be loaded.

Returns:
  the value of the 'Left' attribute.
See Also:
  `setLeft(Resource)`, `ComparePackage.getMatchResource_Left()`
Generated:

#### setLeft

    void setLeft(Resource value)

Sets the value of the '`Left`' attribute.

Parameters:
  `value` - the new value of the 'Left' attribute.
See Also:
  `getLeft()`
Generated:

#### getRight

    Resource getRight()

Returns the value of the 'Right' attribute. Keeps a reference towards the right Resource of this Match. Might be null if this is a Comparison we have re-loaded from its serialized form and the right EResource could not be loaded.

Returns:
  the value of the 'Right' attribute.
See Also:
  `setRight(Resource)`, `ComparePackage.getMatchResource_Right()`
Generated:

#### setRight

    void setRight(Resource value)

Sets the value of the '`Right`' attribute.

Parameters:
  `value` - the new value of the 'Right' attribute.
See Also:
  `getRight()`
Generated:

#### getOrigin

    Resource getOrigin()

Returns the value of the 'Origin' attribute. Keeps a reference towards the origin Resource of this Match. Might be null if this is a Comparison we have re-loaded from its serialized form and the origin EResource could not be loaded.

Returns:
  the value of the 'Origin' attribute.
See Also:
  `setOrigin(Resource)`, `ComparePackage.getMatchResource_Origin()`
Generated:

#### setOrigin

    void setOrigin(Resource value)

Sets the value of the '`Origin`' attribute.

Parameters:
  `value` - the new value of the 'Origin' attribute.
See Also:
  `getOrigin()`
Generated:

#### getComparison

    Comparison getComparison()

Returns the value of the 'Comparison' container reference. It is bidirectional and its opposite is '`Matched Resources`'.

If the meaning of the 'Comparison' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Comparison' container reference.
See Also:
  `setComparison(Comparison)`, `ComparePackage.getMatchResource_Comparison()`, `Comparison.getMatchedResources()`
Generated:

#### setComparison

    void setComparison(Comparison value)

Sets the value of the '`Comparison`' container reference.

Parameters:
  `value` - the new value of the 'Comparison' container reference.
See Also:
  `getComparison()`
Generated:

#### getLocationChanges

    EList<ResourceLocationChange> getLocationChanges()

Returns the value of the 'Location Changes' containment reference list. The list contents are of type `ResourceLocationChange`.

If the meaning of the 'Location Changes' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Location Changes' containment reference list.
Since:
  3.2
See Also:
  `ComparePackage.getMatchResource_LocationChanges()`
Generated: